Subject: Re: bug#22083: 25.0.50; hg: adding tag enhances the rev, modeline does not reflect

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Dec 2015 16:51:16 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 4 Dec 2015 16:43:47 +0200
> 
> Maybe because VC as a framework isn't really aware of branches, and that 
> notion is fairly different among the backends.

I think the basic notion of branches is the same in all VCSes, even in
older ones.  The implementation differs widely, but not the concept.

> Would you consider it unimportant if you commit and push a change to 
> emacs-25, when you intended to push it to master?

How is this different with hg or bzr or any other VCS?

If you are saying that they, too, should show the branch, I'm okay
with that.  I only brought this example to demonstrate how that part
of the mode line is just some ad-hoc string with no firm requirements.